void gfx_load_led_register(uint8 led_data);
void gfx_initialize();
void gfx_reset_vertical_retrace();
uint8 gfx_is_vertical_retrace();
void gfx_clear_screen(uint8 color);
void gfx_ramdac_set_pixel_mask(uint8 p_mask);
void gfx_ramdac_set_rgb_palette(uint8 *pal, uint8 start_color, uint16 n_colors);
void gfx_set_draw_mask(uint32 draw_mask);
void gfx_draw_pixel(uint16 x, uint16 y, uint8 color);
void gfx_move_to(uint16 x, uint16 y);
void gfx_line_to(uint16 x, uint16 y, uint8 color);
void gfx_line(uint16 x1, uint16 y1, uint16 x2, uint16 y2, uint8 color);
void gfx_rectangle(uint16 x1, uint16 y1, uint16 x2, uint16 y2, uint8 color);
void gfx_bar(uint16 x1, uint16 y1, uint16 x2, uint16 y2, uint8 color);
void gfx_bar_x2(uint16 x1, uint16 y1, uint16 x2, uint16 y2, uint8 color);
void gfx_draw_char(uint16 x, uint16 y, uint8 color ,uint16 mode, char c);
void gfx_draw_text(uint16 x, uint16 y, uint8 color, uint16 mode, uint16 offset, char *string);
void gfx_copy_picture_to_vram(uint16 dest_x, uint16 dest_y,
                              uint16 size_x, uint16 size_y,
                              uint8 *picture);
void gfx_copy_vram_block(uint16 source_x, uint16 source_y,
                         uint16 dest_x, uint16 dest_y,
                         uint16 size_x, uint16 size_y);


