#include "config.h"
#include "types.h"
#include "hw_regs.h"
#include "sys.h"
#include "kbd_mous.h"
#include "serial.h"
#include "timers.h"
#include "gfx.h"

void common_exception_handler(uint8 exc_num, char *exc_text, uint32 *reg_dump);


void common_exception_handler(uint8 exc_num, char *exc_text, uint32 *reg_dump)
{
   sys_disable_interrupts();
   gfx_initialize();
   gfx_clear_screen(0x04);
   gfx_draw_text(10,10, 0x0F, 0,7, "68000 CPU UNHANDLED EXCEPTION:");
   gfx_draw_text(250,10, 0x0E, 0,7, exc_text);
}


