#include "inc\d117.h"

uint8 event;
uint16 q;

void user_irq0_handler();

void user_irq0_handler()
{
    event=1;
}


int main()
{
  uint8 key,a;
  uint16 i,j,x,y;
  event=0;

  sys_install_irq_handler(0, 1, user_irq0_handler);

  sys_enable_interrupts();

  rhytm_gen_set_clk_mux(5);        //10khz clk
  rhytm_gen_load_k(858993);        //858993  -> 120bpm rate

  mouse_show();

  while(1)
  {
   if (key_pressed() != 0)
     {
       key=get_key();
       switch (key)
       {
         case '1':
            rhytm_gen_start();
            break;
         case '2':
            rhytm_gen_stop();
            break;
         default: break;
       }
     }

  for(i=0; i<100; i++)
     gfx_line_to((get_rnd32() & 0x3FF) * 5 / 8,
                get_rnd32() & 0x1FF,
                (get_rnd32() >> 0) & 0xF);


   if (event !=0)
      {
        gfx_reset_vertical_retrace();
        while (gfx_is_vertical_retrace() ==0) {};
        gfx_clear_screen(11);
        gfx_reset_vertical_retrace();
        while (gfx_is_vertical_retrace() ==0) {};
        gfx_clear_screen(0);
        event =0;
      } 

  }



  while(1) {

    if (rs232_is_rx_bytes() != 0)
     {
       a=rs232_get_byte();
       rs232_send_byte(a);
       midi1_send_byte(a);
  //     gfx_load_led_register(a);
     }


//    gfx_copy_picture_to_VRAM(100,100, 200,100, (uint8 *) 1000);

//   if (mouse_pressed() !=0) set_mouse_window(100,100,300,200);
//                     // else  set_mouse_window_fullscreen();
  };



  gfx_initialize();
//  sys_uninstall_irq_handler(4);


  while(1)
  {

  for(i=0; i<200; i++)
     gfx_line_to((get_rnd32() & 0x3FF) * 5 / 8,
                get_rnd32() & 0x1FF,
                (get_rnd32() >> 0) & 0xF);
  for(i=0; i<1; i++)
      gfx_bar_x2( (get_rnd32() & 0x3FF) * 5 / 8,
                 get_rnd32() & 0x1FF,
                (get_rnd32() & 0x3FF) * 5 / 8,
                 get_rnd32() & 0x1FF,
                 get_rnd32() & 0xF);

  for(i=0; i<10; i++)
      gfx_rectangle( (get_rnd32() & 0x3FF) * 5 / 8,
                 get_rnd32() & 0x1FF,
                (get_rnd32() & 0x3FF) * 5 / 8,
                 get_rnd32() & 0x1FF,
                 get_rnd32() & 0xF);

  for(i=0; i<10; i++)
       gfx_draw_text(get_rnd32() & 0xFF,
                     get_rnd32() & 0x1FF,
                     get_rnd32() & 0xF,
                     0,6,
                     "XHKJEIQERMX");

  if (event !=0)
      {
         gfx_copy_vram_block(00,00,  320,0,  320,480);
         event =0;
      } 
  }



//    while(key_pressed() == 0) {};
//    get_key();

  while(1)
  {
  gfx_clear_screen(1);

  // gfx_load_led_register(1);
  // gfx_draw_char(10,10,15,0,'A');
  // gfx_load_led_register(0);

   y=0;
   for(j=0;j<40;j++)
     {
       x=0;
       for(i=0;i<90;i++)
         {
           gfx_draw_char(x,y,15,0,'A');
           x+=7;
         }
       y+=10;
     }

  };












  while(1)
  {
  gfx_clear_screen(1);
  // gfx_load_led_register(1);
  // gfx_draw_char(10,10,15,0,'A');
  // gfx_load_led_register(0);
   y=0;
   for(j=0;j<40;j++)
     {
       gfx_draw_text(0,y,15,0,7,"123X88888888888888888888888888C2222222222222222222222KJAHJKHZCEJKHZWJMKEQCHKJEIQERMOFCUHFFY");
       y+=12;
     }
   gfx_load_led_register(get_rnd32());
  };







  while(1)
  {

  }


  while(1)
  {
  for(i=0; i<50; i++)
 gfx_line_to((get_rnd32() & 0x3FF) * 5 / 8,
                get_rnd32() & 0x1FF,
                 (get_rnd32() >> 0) & 0xF);

//  for(i=0; i<50; i++)
//  gfx_line_to((get_rnd32() & 0x3FF) * 5 / 8,
//                 get_rnd32() & 0x1FF,
// 0);
//                // (get_rnd32() >> 0) & 0xFF);

  }




  while(1)  
    {

      gfx_bar( (get_rnd32() & 0x3FF) * 5 / 8,
                 get_rnd32() & 0x1FF,
                (get_rnd32() & 0x3FF) * 5 / 8,
                 get_rnd32() & 0x1FF,
                 get_rnd32() & 0xF);
    //  if (key_pressed() != 0)
     //   if (((key=get_key()) & 0x80) == 0)  gfx_load_LED_register(key);
    }







//  gfx_set_draw_mask(0xF0F0F0F0);
//  gfx_bar_x2(10,10, 400,400, 11);

  while(1)
  {
    gfx_load_led_register(1);
    gfx_bar_x2(0,0, 639,479, 13);
    gfx_bar_x2(0,0, 639,479, 10);
    gfx_load_led_register(0);
   
  };



}

